Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 780474 (CVE-2021-30145) - <media-video/mpv-0.33.1: format string vulnerability (CVE-2021-30145)
Summary: <media-video/mpv-0.33.1: format string vulnerability (CVE-2021-30145)
Status: RESOLVED FIXED
Alias: CVE-2021-30145
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://github.com/mpv-player/mpv/rel...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-06 00:11 UTC by John Helmert III
Modified: 2021-07-20 04:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-04-06 00:11:47 UTC
Not much detail here, but patch seems largely self explanatory:
https://github.com/mpv-player/mpv/compare/v0.33.0...v0.33.1

Fixed in 0.33.1. Please bump.
Comment 1 Sam James archtester gentoo-dev Security 2021-05-18 17:15:32 UTC
Description:
"A format string vulnerability in mpv through 0.33.0 allows user-assisted remote attackers to achieve code execution via a crafted m3u playlist file."
Comment 2 John Helmert III gentoo-dev Security 2021-07-16 02:03:09 UTC
GLSA request filed.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2021-07-20 04:18:28 UTC
This issue was resolved and addressed in
 GLSA 202107-46 at https://security.gentoo.org/glsa/202107-46
by GLSA coordinator John Helmert III (ajak).